KNFSShare Class Reference

`#include <knfsshare.h>`

Inherits QObject.

## Signals

void | changed ()

## Public Member Functions

bool | isDirectoryShared (const QString &path) const
QStringList | sharedDirectories () const
virtual | ~KNFSShare ()
QString | exportsPath () const

## Static Public Member Functions

static KNFSShare * | instance ()

## Detailed Description

Similar functionality like KFileShare, but works only for NFS and do not need any suid script.

It parses the /etc/exports file to get its information. Singleton class, call instance() to get an instance.

Definition at line 35 of file knfsshare.h.

## Constructor & Destructor Documentation

KNFSShare::~KNFSShare | ( |  | ) |

virtual

KNFSShare destructor.

Do not call! The instance is destroyed automatically!

Definition at line 170 of file knfsshare.cpp.

## Member Function Documentation

void KNFSShare::changed | ( |  | ) |

signal

Emitted when the /etc/exports file has changed.

QString KNFSShare::exportsPath | ( |  | ) | const

Returns the path to the used exports file, or null if no exports file was found.

Definition at line 195 of file knfsshare.cpp.

KNFSShare * KNFSShare::instance | ( |  | ) |

static

Returns the one and only instance of KNFSShare.

Definition at line 211 of file knfsshare.cpp.

bool KNFSShare::isDirectoryShared | ( | const QString & | path | ) | const

Wether or not the given path is shared by NFS.

Parameters

  path | the path to check if it is shared by NFS.

Returns
  wether the given path is shared by NFS.

Definition at line 178 of file knfsshare.cpp.

QStringList KNFSShare::sharedDirectories | ( |  | ) | const

Returns a list of all directories shared by NFS.

The resulting list is not sorted.

Returns
  a list of all directories shared by NFS.

Definition at line 186 of file knfsshare.cpp.

The documentation for this class was generated from the following files:

- knfsshare.h
- knfsshare.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys